Download carrier settings?

Discussion in 'iPhone Tips, Help and Troubleshooting' started by Deano.uk, Sep 13, 2009.

  1. Deano.uk macrumors regular

    Deano.uk

    Joined:
    Aug 24, 2009
    Location:
    Teesside
    #1
    Hi all.

    i get this message everytime i plug my iphone 3G (o2) into iTunes 9...

    [​IMG]

    At the moment im running a jailbreak 3.0.1 with the benm tether hack and want to keep it this way...

    Is this carrier update essential? or should i avoid it like the plague?

    Its just annoying everytime i try to sync i have to battle the update + carrier settings popup.
     
  2. Maverick1337 macrumors 65816

    Maverick1337

    Joined:
    Nov 4, 2008
    #2
    i say keep it at 3.0.1. I think apple and AT$T are trying to get people to update to 3.1 and their settings as quickly as possible to stop all the jailbreaks and tethering hacks that are out there. I believe i'll be sticking with 3.0.1 until 4.0 comes out because i dont feel like paying $30 a month for tethering, and I use it a lot. Just my advice though. If you like how your phone is running, and its running 3.0.1 so you have the SMS fix, then you're fine. People that updated to 3.1 are regretting it. They're losing their jailbreak because of the update and losing their unlock because of the baseband upgrade. I say if you like what you have keep it.
     
  3. ichiban06 macrumors regular

    Joined:
    Jun 20, 2009
    #3
    it will update your Carrier to 4.4 (Mine was 4.0) which fixes some Roaming bug. I updated it a couple of days ago and tethering still works.
     
  4. Dominat0r macrumors 6502a

    Dominat0r

    Joined:
    Jul 25, 2009
    #4
    just wondering, will this update without installing 3.1?

    im worried if you hit the update button its going to update your firmware and baseband.
     
  5. ichiban06 macrumors regular

    Joined:
    Jun 20, 2009
    #5
    I installed it on my 3.01 3GS and will literally take 2 seconds to install.
     

Share This Page